/**
 * Move JS `<script>` elements to the end of `<body>`.
 *
 * This can *decrease* the time to
 * [first render](https://developer.yahoo.com/performance/rules.html#js_bottom).
 *
 * @param {Options | null | undefined} [options]
 *   Configuration (optional).
 * @returns
 *   Transform.
 */
export default function rehypeJavaScriptToBottom(options?: Options | null | undefined): (tree: Root) => undefined;
/**
 * Filter scripts that would be moved.
 */
export type Filter = (node: Element) => boolean | null | undefined;
/**
 * Configuration.
 */
export type Options = {
    /**
     * Filter scripts that would otherwise be moved (optional).
     */
    filter?: Filter | null | undefined;
};
import type { Root } from 'hast';
import type { Element } from 'hast';
//# sourceMappingURL=index.d.ts.map